#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2012. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

import sys, AdminUtilities
from java.lang import System

nodeName = System.getProperty("local.node")

servers = AdminUtilities.convertToList(AdminTask.listServers(["-serverType", "APPLICATION_SERVER", "-nodeName", nodeName]))
if len(servers) != 1:
  raise AssertionError, "Need exactly one application server, found " + `len(servers)` + " servers."
serverName = AdminConfig.showAttribute(servers[0], "name")
options = ["-serverName", serverName, "-nodeName", nodeName]
print "Bootstraping Process Server data using %s..." % (options)
AdminTask.bootstrapProcessServerData(options)
print "Bootstraping Process Server data completed"
print "Saving the configuration"
AdminConfig.save()
